﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Common/Controls/Site.Master" AutoEventWireup="true" EnableViewState="false" CodeBehind="Ajax.aspx.cs" Inherits="CodeEffects.Rule.Demo.Asp.Ajax" %>

<%@ Register assembly="CodeEffects.Rule" namespace="CodeEffects.Rule.Asp" tagprefix="rule" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

	<script type="text/javascript" src="/Common/Scripts/jquery-1.7.1.min.js"></script>
	<script type="text/javascript" src="/Common/Scripts/json2.js"></script>
	<script type="text/javascript" src="/Common/Scripts/AjaxExample.js"></script>

	<div class="area">
		<h1 class="title">Settings</h1>
		<div class="settings">
			<div class="left">
				<span>Theme:</span>
				<select id="ddlTheme">
					<option value="Blue">Blue</option>
					<option value="Gray">Gray</option>
					<option value="Green">Green</option>
					<option value="Red">Red</option>
					<option value="White">White</option>
					<option value="Black">Black</option>
					<option value="Navy">Navy</option>
				</select>
			</div>
			<div class="left" style="margin-left:20px;">
				<input type="checkbox" id="chkHelp" checked="checked" />
				<label for="chkHelp">Show Help String</label>
			</div>
			<div class="left" style="margin-left:20px;">
				<input type="checkbox" id="chkDots" />
				<label for="chkDots">Show new line dots</label>
			</div>
			<div class="clear"></div>
		</div>
	</div>
	<div class="area">
		<h1 class="title">Rule Editor</h1>
		<div style="margin-top:10px;">
			<span>Info:</span>
			<span id="lblInfo" style="color:Red;">Demo version. Evaluations are delayed for 1 second.</span></div>
		<div style="margin-top:10px;">
			<rule:RuleEditor ID="ruleControl" runat="server" ClientOnly="true" />
		</div>
	</div>
	<div class="area">
		<h1 class="title">Rule Test Form</h1>
		<div>
			<div class="left" style="width:180px;">
				<div class="row">
					<div>First Name:</div>
					<div><input type="text" id="txtFirstName" /></div>
					<div class="clear"></div>
				</div>
				<div class="row">
					<div>Last Name:</div>
					<div><input type="text" id="txtLastName" /></div>
				</div>
				<div class="row">
					<div>Email:</div>
					<div><input type="text" id="txtEmail" /></div>
				</div>
				<div class="row">
					<div>Date of Birth:</div>
					<div><input type="text" id="txtDOB" value="12/31/1930" /></div>
				</div>
				<div class="row">
					<div>Gender:</div>
					<div>
						<select id="ddlGender">
							<option value="1">Male</option>
							<option value="2">Female</option>
						</select>
					</div>
				</div>
				<div class="row">
					<div>Education:</div>
					<div>
						<select id="ddlEducation">
							<option value="1">Master Degree</option>
							<option value="2">College</option>
							<option value="3">High School</option>
							<option value="4">Other</option>
						</select>
					</div>
				</div>
			</div>
			<div class="left" style="width:180px;">
				<div class="row">
					<div>Home Street:</div>
					<div><input type="text" id="txtHomeStreet" /></div>
				</div>
				<div class="row">
					<div>Home City:</div>
					<div><input type="text" id="txtHomeCity" /></div>
				</div>
				<div class="row">
					<div>Home State:</div>
					<div>
						<select id="ddlHomeState">
							<option value="Arizona">Arizona</option>
							<option value="California">California</option>
							<option value="Florida">Florida</option>
							<option value="Georgia">Georgia</option>
						</select>
					</div>
				</div>
				<div class="row">
					<div>Home Zip:</div>
					<div><input type="text" id="txtHomeZip" /></div>
				</div>
				<div class="firstRow">
					<div>Work Street:</div>
					<div><input type="text" id="txtWorkStreet" /></div>
				</div>
				<div class="row">
					<div>Work City:</div>
					<div><input type="text" id="txtWorkCity" /></div>
				</div>
				<div class="row">
					<div>Work State:</div>
					<div>
						<select id="ddlWorkState">
							<option value="Arizona">Arizona</option>
							<option value="California">California</option>
							<option value="Florida">Florida</option>
							<option value="Georgia">Georgia</option>
						</select>
					</div>
				</div>
				<div class="row">
					<div>Work Zip:</div>
					<div><input type="text" id="txtWorkZip" /></div>
				</div>
			</div>
			<div class="left" style="width:180px;">
				<div class="row">
					<div>Pulse:</div>
					<div><input type="text" id="txtPulse" /></div>
				</div>
				<div class="row">
					<div>Systolic Pressure:</div>
					<div><input type="text" id="txtSysPressure" /></div>
				</div>
				<div class="row">
					<div>Diastolic Pressure:</div>
					<div><input type="text" id="txtDiaPressure" /></div>
				</div>
				<div class="row">
					<div>Temperature:</div>
					<div><input type="text" id="txtTemperature" /></div>
				</div>
				<div class="row">
					<input type="checkbox" id="chkHeadache" />
					<label for="chkHeadache">Headaches?</label>
				</div>
				<div class="row">
					<input type="checkbox" id="chkAllergy" />
					<label for="chkAllergy">Allergies?</label>
				</div>
				<div class="row">
					<input type="checkbox" id="chkSmoker" />
					<label for="chkSmoker">Smoker?</label>
				</div>
				<div class="row">
					<input type="checkbox" id="chkAlcohol" />
					<label for="chkAlcohol">Alcohol Use?</label>
				</div>
				<div style="text-align:right;margin-top:10px;"><input type="button" id="btnTest" value="Test" class="button" /></div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</asp:Content>