﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Common/Controls/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="CodeEffects.Rule.Demo.Asp.Default" %>

<%@ Register assembly="CodeEffects.Rule" namespace="CodeEffects.Rule.Asp" tagprefix="rule" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<div class="area">
		<h1 class="title">Settings</h1>
		<div class="settings">
			<div class="left">
				<span>Theme:</span>
				<asp:DropDownList ID="ddlTheme" runat="server" AutoPostBack="true">
					<asp:ListItem Value="White">White</asp:ListItem>
					<asp:ListItem Value="Blue">Blue</asp:ListItem>
					<asp:ListItem Value="Gray">Gray</asp:ListItem>
					<asp:ListItem Value="Green">Green</asp:ListItem>
					<asp:ListItem Value="Red">Red</asp:ListItem>
					<asp:ListItem Value="Black">Black</asp:ListItem>
					<asp:ListItem Value="Navy">Navy</asp:ListItem>
				</asp:DropDownList>
			</div>
			<div class="left" style="margin-left:20px;"><asp:CheckBox ID="chkHelp" runat="server" Text="Show help string" AutoPostBack="true" /></div>
			<div class="left" style="margin-left:20px;"><asp:CheckBox ID="chkDots" runat="server" Text="Show new line dots" AutoPostBack="true" /></div>
			<div class="clear"></div>
		</div>
	</div>
	<div class="area">
		<h1 class="title">Rule Editor</h1>
		<div style="margin-top:10px;">
			<span>Info:</span>
			<asp:Label ID="lblInfo" runat="server" ForeColor="Red">Demo version. Evaluations are delayed for 1 second.</asp:Label>
		</div>
		<div style="margin-top:10px;">
			<rule:RuleEditor ID="ruleControl" runat="server" SourceAssembly="CodeEffects.Rule.Demo.Asp" SourceType="CodeEffects.Rule.Demo.Asp.Common.Data.Patient" Mode="Execution" />
		</div>
	</div>
	<div class="area">
		<h1 class="title">Rule Test Form</h1>
		<div>
			<div class="left" style="width:180px;">
				<div class="row">
					<div>First Name:</div>
					<div><asp:TextBox ID="txtFirstName" runat="server" /></div>
				</div>
				<div class="row">
					<div>Last Name:</div>
					<div><asp:TextBox ID="txtLastName" runat="server" /></div>
				</div>
				<div class="row">
					<div>Email:</div>
					<div><asp:TextBox ID="txtEmail" runat="server" /></div>
				</div>
				<div class="row">
					<div>Date of Birth:</div>
					<div><asp:TextBox ID="txtDOB" runat="server" Text="12/31/1930" /></div>
				</div>
				<div class="row">
					<div>Gender:</div>
					<div>
						<asp:DropDownList ID="ddlGender" runat="server">
							<asp:ListItem Value="Male">Male</asp:ListItem>
							<asp:ListItem Value="Female">Female</asp:ListItem>
						</asp:DropDownList>
					</div>
				</div>
				<div class="row">
					<div>Education:</div>
					<div>
						<asp:DropDownList ID="ddlEducation" runat="server" />
					</div>
				</div>
				<div class="row">
					<div>Physician:</div>
					<div>
						<asp:DropDownList ID="ddlPhysician" runat="server" />
					</div>
				</div>
				<div class="row">
					<div>Physician 2:</div>
					<div>
						<asp:DropDownList ID="ddlPhysician2" runat="server" />
					</div>
				</div>
			</div>
			<div class="left" style="width:180px;">
				<div class="row">
					<div>Home Street:</div>
					<div><asp:TextBox ID="txtHomeStreet" runat="server" /></div>
				</div>
				<div class="row">
					<div>Home City:</div>
					<div><asp:TextBox ID="txtHomeCity" runat="server" /></div>
				</div>
				<div class="row">
					<div>Home State:</div>
					<div>
						<asp:DropDownList ID="ddlHomeState" runat="server">
							<asp:ListItem Value="Arizona">Arizona</asp:ListItem>
							<asp:ListItem Value="California">California</asp:ListItem>
							<asp:ListItem Value="Florida">Florida</asp:ListItem>
							<asp:ListItem Value="Georgia">Georgia</asp:ListItem>
						</asp:DropDownList>
					</div>
				</div>
				<div class="row">
					<div>Home Zip:</div>
					<div><asp:TextBox ID="txtHomeZip" runat="server" /></div>
				</div>
				<div class="row">
					<div>Work Street:</div>
					<div><asp:TextBox ID="txtWorkStreet" runat="server" /></div>
				</div>
				<div class="row">
					<div>Work City:</div>
					<div><asp:TextBox ID="txtWorkCity" runat="server" /></div>
				</div>
				<div class="row">
					<div>Work State:</div>
					<div>
						<asp:DropDownList ID="ddlWorkState" runat="server">
							<asp:ListItem Value="Arizona">Arizona</asp:ListItem>
							<asp:ListItem Value="California">California</asp:ListItem>
							<asp:ListItem Value="Florida">Florida</asp:ListItem>
							<asp:ListItem Value="Georgia">Georgia</asp:ListItem>
						</asp:DropDownList>
					</div>
				</div>
				<div class="row">
					<div>Work Zip:</div>
					<div><asp:TextBox ID="txtWorkZip" runat="server" /></div>
				</div>
			</div>
			<div class="left" style="width:180px;">
				<div class="row">
					<div>Pulse:</div>
					<div><asp:TextBox ID="txtPulse" runat="server" /></div>
				</div>
				<div class="row">
					<div>Systolic Pressure:</div>
					<div><asp:TextBox ID="txtSysPressure" runat="server" /></div>
				</div>
				<div class="row">
					<div>Diastolic Pressure:</div>
					<div><asp:TextBox ID="txtDiaPressure" runat="server" /></div>
				</div>
				<div class="row">
					<div>Temperature:</div>
					<div><asp:TextBox ID="txtTemperature" runat="server" /></div>
				</div>
				<div class="row"><asp:CheckBox ID="chkHeadache" runat="server" Text="Headaches?" /></div>
				<div class="row"><asp:CheckBox ID="chkAllergy" runat="server" Text="Allergies?" /></div>
				<div class="row"><asp:CheckBox ID="chkSmoker" runat="server" Text="Smoker?" /></div>
				<div class="row"><asp:CheckBox ID="chkAlcohol" runat="server" Text="Alcohol Use?" /></div>
				<div style="text-align:right;margin-top:10px;"><asp:Button ID="btnTest" runat="server" Text="Test" CssClass="button" /></div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</asp:Content>